%define pkg_name        Gtk2-Ex-Datasheet-DBI
%define pkg_version     2.1
%define rpm_pkg_version 2.1
%define rpm_pkg_release 1.n0i.2

Summary:       Bind a Gtk2::TreeView to DB server via DBI
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DK/DKASAK/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Gtk2) >= 1.040

%if %{!?_without_test:1}0
BuildRequires: perl(Gtk2::Ex::Dialogs) >= 0.08
BuildRequires: perl(DBI)
%endif


%description
This module automates the process of setting up a model and treeview based on
field definitions you pass it, querying the database, populating the model,
and updating the database with changes made by the user.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:[ -n "$DISPLAY" ] && %{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes COPYRIGHT README TODO


%changelog
* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 2.1-1.n0i.2
- version 2.1

* Wed Jun 06 2007 Marius Feraru <altblue@n0i.net> - 2.0-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 2.0
